Subject: RE: [Geopriv] Re: Radius-Geopriv: CDMA operator-name prefix / registry

From: [email-masked]
Date: Thu, 3 Mar 2005 15:38:53 +0200

Joel,

Few comments inline..

Cheers,
	Jouni

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Joel M. Halpern
> Sent: 2. maaliskuuta 2005 15:46
> To: Tschofenig Hannes; [email-masked]; [email-masked]
> Subject: [Geopriv] Re: Radius-Geopriv: CDMA operator-name 
> prefix / registry
> 
> This creates the requirement that IANA maintain a registry of 
> operators.

Isn't that just a list of "operator types", which is relatively
small amount of information? Actual management of operators is
delegated to appropriate organizations identified by the operator 
type.

> Why not declare that any entity that owns a domain name by proper 
> delegation (reference DNS documents) may use that string as a realm?
> That avoids creating yet another registry.
> 
> It would also seem sensible, given such a strategy, to at 
> least comment on 
> why the other two values are necessary.  After all, any 

The Operator-name attribute requirement originates from
the GSM operators WLAN roaming community. They have great interest
to reuse existing GSM/GPRS roaming model & systems, where TADIG
codes (to what the draft refers to) are used to identify operators
and roaming partners.

I don't really know the position of CDMA operators.

> operator in the 
> other two spaces also has a domain name.
> If we are going to allow the other two name spaces, then can 
> we have a 
> reference to a public document containing the binding of 
> identifier to 
> entity, so that one may build interoperable implementations?

The TADIG code (for GSM operator-type) procedures are described in:

"TADIG Code Naming Conventions", Permanent Reference Document TD.13,
 Version 3.12.14, GSM Association, 20 May 2004.

IOC procedures for HNI stuff are described in:

"International Mobile Subscriber Identity (IMSI) Assignment and 
 Management Guidelines and Procedures", Version 6.0, 
 IMSI Oversight Council (IOC), June 2004.

> Thank you,
> Joel M. Halpern
> 
> At 05:22 AM 3/2/2005, Tschofenig Hannes wrote:
> >hi all,
> >
> >the operator-name lead to a long discussion on the mailing list. the
> >discussion is far too long to copy-and-paste it into this 
> mail. hence, we
> >only show the proposed resolution of the issue:
> >
> >The previously used attribute is split into two attributes. 
> Below you find
> >the new text  including the relevant parts of the IANA section:
> >
> >"
> >5.1  Operator-Type Attribute
> >
> >    This attribute contains an operator type which combined with the
> >    Operator-Name attribute serves to uniquely identify the 
> ownership of
> >    an access network.  The attribute value is a four octet integer.
> >    This document defines three values for this attribute: 1 (GSM), 2
> >    (CDMA), and 3 (REALM).  Additional values require an IANA
> >    registration and MUST be associated with an organization 
> responsible
> >    for assigning/managing the operator names.
> >
> >    The GSM operator type can be used to indicate operator 
> names based on
> >    GSMA TADIG codes.  The TADIG Working Group within the 
> GSM Association
> >    is the authority responsible for issuing unique 
> Operator-Name values
> >    for operators of this type.
> >
> >    The CDMA operator type can be used to indicate operator 
> names based
> >    on the Home Network Identifier (HNI).  The HNI is the 
> concatenation
> >    of the 3-digit Mobile Country Code (MCC) and 3-digit 
> Mobile Network
> >    Code (MNC).  The IMSI Oversight Council (IOC) is the authority
> >    responsible for issuing unique Operator-Name values for 
> operators of
> >    this type.
> >
> >    The REALM operator type can be used to indicate operator 
> names based
> >    on any registered domain name.  The Internet Assigned Numbers
> >    Authority (IANA) or registered delegate is the authority 
> responsible
> >    for issuing unique Operator-Name values for operators of 
> this type.
> >
> >5.2  Operator-Name Attribute
> >
> >    This attribute contains an operator name which combined with the
> >    Operator-Type attribute serves to uniquely identifies 
> the ownership
> >    of an access network.  The attribute value is a non-NULL 
> terminated
> >    string whose Length MUST NOT exceed 253 bytes.  The 
> attribute value
> >    uniquely identifies the operator name within the scope of the
> >    operator type.
> >
> >
> >
> >"
> >
> >15.  IANA Considerations
> >
> >    The authors request that the Attribute Types, and 
> Attribute Values
> >    defined in this document be registered by the Internet Assigned
> >    Numbers Authority (IANA) from the RADIUS name spaces as 
> described in
> >    the "IANA Considerations" section of RFC 2865 [1], in 
> accordance with
> >    BCP 26 [9].
> >
> >15.1  Operator Type
> >
> >    This document also defines a new registry for the Operator-Type
> >    attribute.  Initially, IANA is requested to register the 
> following
> >    values and associated registry owners for the operator namespace:
> >
> >         +-----+-----------+----------------------------+
> >         |  #  | Namespace | Registry Owner             |
> >         +-----+-----------+----------------------------+
> >         |  1  | GSM       | GSM Association: TADIG WG  |
> >         |  2  | CDMA      | IMSI Oversight Council     |
> >         |  3  | REALM     | IANA or delegate           |
> >         +-----------------+----------------------------+
> >
> >    Following the policies outlined in [9] new Operator-Types will be
> >    assigned after Expert Review by the Geopriv working group or its
> >    designated successor.
> >"
> >
> >
> >does this meet your expectations?
> >
> >
> >ciao
> >hannes
> >
> >--
> >to unsubscribe send a message to [email-masked] with
> >the word 'unsubscribe' in a single line as the message text body.
> >archive: <http://psg.com/lists/radiusext/>
> 
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 03 Mar 2005 10:43:57 -0500

The IANA considerations created two things.
It created the type registry.  That is quite understandable.  (And given 
the stated goal of allowing folks to keep doing what they are already 
doing, probably necessary.)

It also states that the REALM operator identification type contains values 
registered within IANA.  And it says nothing more about it other than that 
IANA shall maintain the registry.
Realm (DNS domain) is entirely reasonable to use as an operator identification.
However, what I was objecting to is creating another registry for it.

Yours,
Joel

At 08:38 AM 3/3/2005, [email-masked] wrote:
> > why the other two values are necessary.